searchData={"items":[{"type":"module","doc":"This package includes custom dbg functions","title":"DbgMate","ref":"DbgMate.html"},{"type":"module","doc":"Backport module currently includes dbg implementation for:","title":"DbgMate.Backport.dbg - DbgMate","ref":"DbgMate.html#module-dbgmate-backport-dbg"},{"type":"module","doc":"Wraps your code in IO.inspect calls used for showing the intermediate results.\nThe difference between the upstream dbg function is that it displays as the code\nis executed and is not waiting until a block of code finishes.","title":"DbgMate.Inspect.dbg - DbgMate","ref":"DbgMate.html#module-dbgmate-inspect-dbg"},{"type":"module","doc":"Wraps your code in IO.inspect calls used for showing the intermediate results\nand additionally shows the time it took to execute every line.\n\nTo use it just set the config value in config or run this before your dbg call\n\n```\nApplication.put_env(:elixir, :dbg_callback, {DbgMate,Backport, :dbg, []})\n```\n\nor in livebook\n\n```\nMix.install(\n[\n  {:dbg_mate, \"~> 0.1.0\"}\n],\nconfig: [elixir: [dbg_callback: {DbgMate.Inspect, :dbg_tc, []}]]\n)\n```","title":"DbgMate.Inspect.dbg_tc - DbgMate","ref":"DbgMate.html#module-dbgmate-inspect-dbg_tc"},{"type":"module","doc":"This module includes features that will be enabled in elixir 1.18,\nplus a commit for `with` that was not merged.\n\nBackport module currently includes dbg implementation for:\n\n- pipes\n- binary operators: and, or, ||, &&\n- code blocks wrapped in brackets\n- conditions: case, cond, if, unless, with\n\nTo use it just set the config value in config or run this before your dbg call\n\n```\nApplication.put_env(:elixir, :dbg_callback, {DbgMate,Backport, :dbg, []})\n```","title":"DbgMate.Backport","ref":"DbgMate.Backport.html"},{"type":"function","doc":"Default backend for `Kernel.dbg/2`.\n\nThis function provides a default backend for `Kernel.dbg/2`. See the\n`Kernel.dbg/2` documentation for more information.\n\nThis function:\n\n  * prints information about the given `env`\n  * prints information about `code` and its returned value (using `opts` to inspect terms)\n  * returns the value returned by evaluating `code`\n\nYou can call this function directly to build `Kernel.dbg/2` backends that fall back\nto this function.\n\nThis function raises if the context of the given `env` is `:match` or `:guard`.","title":"DbgMate.Backport.dbg/3","ref":"DbgMate.Backport.html#dbg/3"},{"type":"type","doc":"","title":"DbgMate.Backport.captured_remote_function/0","ref":"DbgMate.Backport.html#t:captured_remote_function/0"},{"type":"type","doc":"The inputs of a macro","title":"DbgMate.Backport.input/0","ref":"DbgMate.Backport.html#t:input/0"},{"type":"type","doc":"","title":"DbgMate.Backport.metadata/0","ref":"DbgMate.Backport.html#t:metadata/0"},{"type":"type","doc":"The output of a macro","title":"DbgMate.Backport.output/0","ref":"DbgMate.Backport.html#t:output/0"},{"type":"type","doc":"Abstract Syntax Tree (AST)","title":"DbgMate.Backport.t/0","ref":"DbgMate.Backport.html#t:t/0"},{"type":"module","doc":"dbg functtions that use IO.inspect() do display results","title":"DbgMate.Inspect","ref":"DbgMate.Inspect.html"},{"type":"function","doc":"Wraps your code in IO.inspect calls used for showing the intermediate results.\nThe difference between the upstream dbg function is that it displays as the code\nis executed and is not waiting until a block of code finishes.\nIt also works with whole modules and functions\n\n```elixir\ndefmodule X do\n  def y do: :z\nend\n|> dbg\n\ndefmodule Y do\n  def x do\n    :z\n  end\n  |> dbg\nend\n```","title":"DbgMate.Inspect.dbg/3","ref":"DbgMate.Inspect.html#dbg/3"},{"type":"function","doc":"Similar to previous one that it wraps your code in IO.inspect calls used for sho\nwing the intermediate results\nand additionally shows the time it took to execute every line.\n\nTo use it just set the config value in config or run this before your dbg call","title":"DbgMate.Inspect.dbg_tc/3","ref":"DbgMate.Inspect.html#dbg_tc/3"},{"type":"function","doc":"","title":"DbgMate.Inspect.get_duration_string/1","ref":"DbgMate.Inspect.html#get_duration_string/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,48]}}